org.kie.api.io

## Class ResourceType

- java.lang.Object
- - org.kie.api.io.ResourceType

- All Implemented Interfaces:
    Serializable

      public class ResourceType
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ResourceType` | `BAYES` Bayesian
    `static ResourceType` | `BPMN2` jBPM BPMN2 Language
    `static ResourceType` | `BRL` Drools Business Rule Language
    `static ResourceType` | `CHANGE_SET` Change Set
    `static ResourceType` | `CMMN` jBPM CMMN Language
    `static ResourceType` | `DESCR` DESCR
    `static ResourceType` | `DMN` Decision Model and Notation (DMN) model
    `static ResourceType` | `DRF` Drools Rule Flow Language
    `static ResourceType` | `DRL` Drools Rule Language
    `static ResourceType` | `DRLX`
    `static ResourceType` | `DRT`
    `static ResourceType` | `DSL` Drools DSL
    `static ResourceType` | `DSLR` Drools DSL Rule
    `static ResourceType` | `DTABLE` Decision Table
    `static ResourceType` | `FEEL` DMN FEEL expression language
    `static ResourceType` | `GDRL` Drools Rule Language - Guided Globals definitions - Workaround for double-dot file extensions for 6.0
    `static ResourceType` | `GDST`
    `static ResourceType` | `JAVA` JAVA
    `static ResourceType` | `NOOP` NO-Operation ResourceType - used for example to dynamically disable a given AssemblerService
    `static ResourceType` | `PKG` Binary Package
    `static ResourceType` | `PMML` PMML
    `static ResourceType` | `PROPERTIES` PROPERTIES
    `static ResourceType` | `RDRL` Drools Rule Language - Guided Rules (without DSL) - Workaround for double-dot file extensions for 6.0
    `static ResourceType` | `RDSLR` Drools Rule Language - Guided Rules (with DSL) - Workaround for double-dot file extensions for 6.0
    `static ResourceType` | `SCARD` Score Card - Workaround for double-dot file extensions for 6.0
    `static ResourceType` | `SCGD`
    `static ResourceType` | `SOLVER`
    `static ResourceType` | `TDRL` Drools Rule Language - Guided Decision Trees - Workaround for double-dot file extensions for 6.0
    `static ResourceType` | `TEMPLATE`
    `static ResourceType` | `XDRL` Drools XML Rule Language
    `static ResourceType` | `XSD` XSD

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceType(String name, boolean fullyCoveredByExecModel, String description, String defaultPath, String defaultExtension, String... otherExtensions)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResourceType` | `addResourceTypeToRegistry(String resourceType, boolean isNative, String description, String defaultPath, String defaultExtension, String... otherExtensions)`
    `static ResourceType` | `addResourceTypeToRegistry(String resourceType, String description, String defaultPath, String defaultExtension, String... otherExtensions)`
    `static ResourceType` | `determineResourceType(String resourceName)`
    `boolean` | `equals(Object obj)`
    `List<String>` | `getAllExtensions()`
    `String` | `getDefaultExtension()`
    `String` | `getDefaultPath()`
    `String` | `getDescription()`
    `String` | `getName()`
    `static ResourceType` | `getResourceType(String resourceType)`
    `int` | `hashCode()`
    `boolean` | `isFullyCoveredByExecModel()`
    `boolean` | `matchesExtension(String resourceName)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DRL

          public static final ResourceType DRL

      Drools Rule Language

    - #### DRLX

          public static final ResourceType DRLX

    - #### GDRL

          public static final ResourceType GDRL

      Drools Rule Language - Guided Globals definitions - Workaround for double-dot file extensions for 6.0

    - #### RDRL

          public static final ResourceType RDRL

      Drools Rule Language - Guided Rules (without DSL) - Workaround for double-dot file extensions for 6.0

    - #### XDRL

          public static final ResourceType XDRL

      Drools XML Rule Language

    - #### DSL

          public static final ResourceType DSL

      Drools DSL

    - #### DSLR

          public static final ResourceType DSLR

      Drools DSL Rule

    - #### RDSLR

          public static final ResourceType RDSLR

      Drools Rule Language - Guided Rules (with DSL) - Workaround for double-dot file extensions for 6.0

    - #### DRF

          public static final ResourceType DRF

      Drools Rule Flow Language

    - #### BPMN2

          public static final ResourceType BPMN2

      jBPM BPMN2 Language

    - #### CMMN

          public static final ResourceType CMMN

      jBPM CMMN Language

    - #### DTABLE

          public static final ResourceType DTABLE

      Decision Table

    - #### PKG

          public static final ResourceType PKG

      Binary Package

    - #### BRL

          public static final ResourceType BRL

      Drools Business Rule Language

    - #### CHANGE_SET

          public static final ResourceType CHANGE_SET

      Change Set

    - #### XSD

          public static final ResourceType XSD

      XSD

    - #### PMML

          public static final ResourceType PMML

      PMML

    - #### DESCR

          public static final ResourceType DESCR

      DESCR

    - #### JAVA

          public static final ResourceType JAVA

      JAVA

    - #### PROPERTIES

          public static final ResourceType PROPERTIES

      PROPERTIES

    - #### SCARD

          public static final ResourceType SCARD

      Score Card - Workaround for double-dot file extensions for 6.0

    - #### BAYES

          public static final ResourceType BAYES

      Bayesian

    - #### TDRL

          public static final ResourceType TDRL

      Drools Rule Language - Guided Decision Trees - Workaround for double-dot file extensions for 6.0

    - #### TEMPLATE

          public static final ResourceType TEMPLATE

    - #### DRT

          public static final ResourceType DRT

    - #### GDST

          public static final ResourceType GDST

    - #### SCGD

          public static final ResourceType SCGD

    - #### SOLVER

          public static final ResourceType SOLVER

    - #### DMN

          public static final ResourceType DMN

      Decision Model and Notation (DMN) model

    - #### FEEL

          public static final ResourceType FEEL

      DMN FEEL expression language

    - #### NOOP

          public static final ResourceType NOOP

      NO-Operation ResourceType - used for example to dynamically disable a given AssemblerService

  - ### Constructor Detail

    - #### ResourceType

          public ResourceType(String name,
                              boolean fullyCoveredByExecModel,
                              String description,
                              String defaultPath,
                              String defaultExtension,
                              String... otherExtensions)

  - ### Method Detail

    - #### addResourceTypeToRegistry

          public static ResourceType addResourceTypeToRegistry(String resourceType,
                                                               String description,
                                                               String defaultPath,
                                                               String defaultExtension,
                                                               String... otherExtensions)

    - #### addResourceTypeToRegistry

          public static ResourceType addResourceTypeToRegistry(String resourceType,
                                                               boolean isNative,
                                                               String description,
                                                               String defaultPath,
                                                               String defaultExtension,
                                                               String... otherExtensions)

    - #### getResourceType

          public static ResourceType getResourceType(String resourceType)

    - #### determineResourceType

          public static ResourceType determineResourceType(String resourceName)

    - #### matchesExtension

          public boolean matchesExtension(String resourceName)

    - #### isFullyCoveredByExecModel

          public boolean isFullyCoveredByExecModel()

    - #### getDefaultPath

          public String getDefaultPath()

    - #### getDefaultExtension

          public String getDefaultExtension()

    - #### getAllExtensions

          public List<String> getAllExtensions()

    - #### getDescription

          public String getDescription()

    - #### getName

          public String getName()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.